diff --git a/web/package.json b/web/package.json
index b7604d2cf..d56c20118 100644
--- a/web/package.json
+++ b/web/package.json
@@ -145,7 +145,7 @@
     "react": "^17.0.1",
     "react-aspen": "^1.1.0",
     "react-checkbox-tree": "^1.7.2",
-    "react-data-grid": "git+https://github.com/adityatoshniwal/react-data-grid.git/#8d9bc16ddd7c419acfbbd1c1cc2b70eb9f5b453c",
+    "react-data-grid": "git+https://github.com/EnterpriseDB/react-data-grid.git/#200d2f5e02de694e3e9ffbe177c279bc40240fb8",
     "react-dom": "^17.0.1",
     "react-draggable": "^4.4.4",
     "react-dropzone": "^14.2.1",
diff --git a/web/pgadmin/static/js/Explain/Analysis.jsx b/web/pgadmin/static/js/Explain/Analysis.jsx
index 1fbdeb7ce..cc43aa777 100644
--- a/web/pgadmin/static/js/Explain/Analysis.jsx
+++ b/web/pgadmin/static/js/Explain/Analysis.jsx
@@ -120,7 +120,7 @@ ExplainRow.propTypes = {
   row: PropTypes.shape({
     data: PropTypes.shape({
       Plans: PropTypes.array,
-      level: PropTypes.number,
+      level: PropTypes.array,
       _serial: PropTypes.number,
       parent_node: PropTypes.number,
       exclusive: PropTypes.number,
@@ -129,7 +129,7 @@ ExplainRow.propTypes = {
       inclusive_flag: PropTypes.string,
       rowsx_direction: PropTypes.string,
       rowsx: PropTypes.number,
-      rowsx_flag: PropTypes.number,
+      rowsx_flag: PropTypes.oneOfType([PropTypes.number,PropTypes.string]),
       'Actual Rows': PropTypes.number,
       'Plan Rows': PropTypes.number,
       'Actual Loops': PropTypes.number,
@@ -145,8 +145,8 @@ ExplainRow.propTypes = {
     show_plan_rows: PropTypes.bool,
   }),
   activeExId: PropTypes.string,
-  setActiveExId: PropTypes.string,
-  collapsedExId: PropTypes.string,
+  setActiveExId: PropTypes.func,
+  collapsedExId: PropTypes.array,
   toggleCollapseExId: PropTypes.func,
 };
 
diff --git a/web/pgadmin/static/js/Explain/ExplainStatistics.jsx b/web/pgadmin/static/js/Explain/ExplainStatistics.jsx
index 7a114a42b..46bb13362 100644
--- a/web/pgadmin/static/js/Explain/ExplainStatistics.jsx
+++ b/web/pgadmin/static/js/Explain/ExplainStatistics.jsx
@@ -123,20 +123,12 @@ export default function ExplainStatistics({explainTable}) {
   );
 }
 
-const NodeType = {
-  name: PropTypes.string,
-  count: PropTypes.number,
-  sum_of_times: PropTypes.number,
-};
 ExplainStatistics.propTypes = {
   explainTable: PropTypes.shape({
     show_timings: PropTypes.bool,
     statistics: PropTypes.shape({
-      nodes: PropTypes.arrayOf(NodeType),
-      tables: PropTypes.arrayOf({
-        ...NodeType,
-        nodes: PropTypes.arrayOf(NodeType),
-      }),
+      nodes: PropTypes.object,
+      tables: PropTypes.object,
     }),
     total_time: PropTypes.number,
   }),
diff --git a/web/pgadmin/static/js/Explain/Graphical.jsx b/web/pgadmin/static/js/Explain/Graphical.jsx
index bb7851153..a34519cc8 100644
--- a/web/pgadmin/static/js/Explain/Graphical.jsx
+++ b/web/pgadmin/static/js/Explain/Graphical.jsx
@@ -323,7 +323,7 @@ function PlanSVG({planData, zoomFactor, fitZoomFactor, ...props}) {
 PlanSVG.propTypes = {
   planData: PropTypes.object,
   zoomFactor: PropTypes.number,
-  fitZoomFactor: PropTypes.number,
+  fitZoomFactor: PropTypes.func,
   ctx: PropTypes.object,
 };
 
diff --git a/web/pgadmin/static/js/tree/tree.js b/web/pgadmin/static/js/tree/tree.js
index 467822b9f..b08c6255d 100644
--- a/web/pgadmin/static/js/tree/tree.js
+++ b/web/pgadmin/static/js/tree/tree.js
@@ -344,11 +344,12 @@ export class Tree {
     if (path == null || !Array.isArray(path)) {
       return Promise.reject();
     }
+    const basepath = '/browser/' + path.slice(0, path.length-1).join('/') + '/';
     path = '/browser/' + path.join('/');
 
     let onCorrectPath = function (matchPath) {
       return (matchPath !== undefined && path !== undefined
-        && (path.startsWith(matchPath) || path === matchPath));
+        && (basepath.startsWith(matchPath) || path === matchPath));
     };
 
     return (function findInNode(currentNode) {
diff --git a/web/pgadmin/tools/sqleditor/static/js/components/QueryToolDataGrid/index.jsx b/web/pgadmin/tools/sqleditor/static/js/components/QueryToolDataGrid/index.jsx
index dc6b03c39..467cb4848 100644
--- a/web/pgadmin/tools/sqleditor/static/js/components/QueryToolDataGrid/index.jsx
+++ b/web/pgadmin/tools/sqleditor/static/js/components/QueryToolDataGrid/index.jsx
@@ -33,6 +33,7 @@ const useStyles = makeStyles((theme)=>({
     display: 'flex',
     lineHeight: '16px',
     alignItems: 'center',
+    fontWeight: 'normal',
   },
   columnName: {
     fontWeight: 'bold',
diff --git a/web/yarn.lock b/web/yarn.lock
index fd63f408c..a05752369 100644
--- a/web/yarn.lock
+++ b/web/yarn.lock
@@ -9515,9 +9515,9 @@ react-checkbox-tree@^1.7.2:
     nanoid "^3.0.0"
     prop-types "^15.5.8"
 
-"react-data-grid@git+https://github.com/adityatoshniwal/react-data-grid.git/#8d9bc16ddd7c419acfbbd1c1cc2b70eb9f5b453c":
-  version "7.0.0-beta.12"
-  resolved "git+https://github.com/adityatoshniwal/react-data-grid.git/#8d9bc16ddd7c419acfbbd1c1cc2b70eb9f5b453c"
+"react-data-grid@git+https://github.com/EnterpriseDB/react-data-grid.git/#200d2f5e02de694e3e9ffbe177c279bc40240fb8":
+  version "7.0.0-beta.14"
+  resolved "git+https://github.com/EnterpriseDB/react-data-grid.git/#200d2f5e02de694e3e9ffbe177c279bc40240fb8"
   dependencies:
     clsx "^1.1.1"
 
